summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-vim/puppet-syntax')
-rw-r--r--app-vim/puppet-syntax/Manifest1
-rw-r--r--app-vim/puppet-syntax/metadata.xml6
-rw-r--r--app-vim/puppet-syntax/puppet-syntax-3.0.1.ebuild20
3 files changed, 27 insertions, 0 deletions
diff --git a/app-vim/puppet-syntax/Manifest b/app-vim/puppet-syntax/Manifest
new file mode 100644
index 00000000000..3375fcb3836
--- /dev/null
+++ b/app-vim/puppet-syntax/Manifest
@@ -0,0 +1 @@
+DIST puppet-syntax-3.0.1.tar.gz 3548 SHA256 2a9ca4172b2c0d58c4a74bfa579ef44a6760a02d687e42dd5313c9770305a9f4 SHA512 fb96360e784da578d2ab77a021befe874644cf964c1ca2d8b34b316296872a67679606ad0dfd4ab90027b7d259900af20d831d5e3359d76649e0c6f43546938b WHIRLPOOL 8b9d76f3c1d6929b1ec4e5b32e01244f94af3591d5df51ac2bd24fe151193679c97cb1dbfd9bd6ccc8c8602436dd47051bf0e59cac4ec6c643a1330ef27094ce
diff --git a/app-vim/puppet-syntax/metadata.xml b/app-vim/puppet-syntax/metadata.xml
new file mode 100644
index 00000000000..8081449d6e2
--- /dev/null
+++ b/app-vim/puppet-syntax/metadata.xml
@@ -0,0 +1,6 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sysadmin</herd>
+<herd>ruby</herd>
+</pkgmetadata>
diff --git a/app-vim/puppet-syntax/puppet-syntax-3.0.1.ebuild b/app-vim/puppet-syntax/puppet-syntax-3.0.1.ebuild
new file mode 100644
index 00000000000..93521c5972b
--- /dev/null
+++ b/app-vim/puppet-syntax/puppet-syntax-3.0.1.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+inherit vim-plugin
+
+DESCRIPTION="vim plugin: Puppet configuration files syntax"
+HOMEPAGE="http://puppetlabs.com/"
+SRC_URI="http://dev.gentoo.org/~tampakrap/tarballs/${P}.tar.gz"
+LICENSE="Apache-2.0 GPL-2"
+KEYWORDS="amd64 hppa ppc sparc x86 ~x64-macos ~x64-solaris"
+
+VIM_PLUGIN_HELPTEXT=\
+"This plugin provides syntax highlighting for Puppet configuration
+files."
+
+DEPEND="!<app-admin/puppet-3.0.1"
+RDEPEND=${DEPEND}